## okular 24.05.2

=== debian/changelog ===
okular (4:24.05.2-2ubuntu3) oracular; urgency=medium

  * Patch symbols for remaining arches. 

 -- Scarlett Moore <sgmoore@debian.org>  Wed, 04 Sep 2024 08:17:54 -0700

okular (4:24.05.2-2ubuntu2) oracular; urgency=medium

  * Patch symbols for riscv64.

 -- Scarlett Moore <sgmoore@debian.org>  Wed, 04 Sep 2024 05:04:17 -0700

okular (4:24.05.2-2ubuntu1) oracular; urgency=medium

  [ Rik Mills]
  * Kubuntu Vcs and maintainer.
  * Recommend okular-extra-backends.

 -- Scarlett Moore <sgmoore@debian.org>  Wed, 04 Sep 2024 02:20:53 -0700

okular (4:24.05.2-2) experimental; urgency=medium

  [ Jesse Rhodes ]
  * Clean up unneeded KF5 dependencies.
  * Add missing runtime dependencies for the kirigami/mobile version.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 16 Aug 2024 11:06:36 +0200

okular (4:24.05.2-1) experimental; urgency=medium

  [ Jesse Rhodes ]
  * New upstream release (24.05.2).
  * Update build-deps and deps with info from cmake. (Closes: #1050015)
  * Use dh-sequence-kf6.
  * Remove CHM support from package descriptions.
  * Rename libokular5core11 to libokular6core1.
  * Update list of installed files from build logs.
  * pkg-config -> pkgconf.
  * Bump Standards-Version to 4.7.0 (no changes needed).
  * Generate libokular6core1.symbols.
  * Remove unused lintian overrides.
  * Override lintian W: no-manual-page for okularkirigami.
  * Rename qml-module-org-kde-okular to qml6-module-org-kde-okular.
  * Update copyright info.
  * Split arch:all files into okular-doc and okular-data.

  [ Aurélien COUDERC ]
  * Drop obsolete maintainer script.
  * More copyright information refresh.
  * Update homepage to the specific Okular website.

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 15 Aug 2024 00:23:32 +0200
